device_type: "qemu"

job_name: "tuxrun@qemu-arm64: kselftest-cgroup"
priority: "medium"
visibility: "public"

context:
    arch: "arm64"
    machine: "virt,gic-version=3,mte=on"
    cpu: "max,pauth-impdef=on"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 25
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog earlycon"'
        url: "/DATA/bzImage.gz"
        compression: gz
      rootfs:
        image_arg: "-drive file={rootfs},if=none,format=raw,id=hd0 -device virtio-blk-device,drive=hd0"
        url: "https://storage.tuxboot.com/buildroot/arm64/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
          modules:
            url: "/DATA/modules.tar.xz"
            path: "/"
            format: tar
            compression: xz
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 5
    definitions:
    - repository: file://testdef.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/kselftest/kselftest.yaml
      parameters:
        TST_CMDFILES: "cgroup"
        KSELFTEST_PATH: "/opt/kselftests/default-in-kernel"
        SKIPFILE: "skipfile-lkft.yaml"
        ENVIRONMENT: "production"
        SHARD_NUMBER: 1
        SHARD_INDEX: 1
      name: kselftest-cgroup
